Subject: bug#506: libvirt-daemon-system should not depend on policykit-1

From: Mark Hindley <[email-masked]>
Date: Sat, 15 Aug 2020 11:04:29 +0100

Thierry,

On Fri, Aug 14, 2020 at 11:08:34PM +0200, Thierry B. wrote:
> > I have noticed a couple of things that need to be addressed. I will do a proper
> > review tomorrow.
> > 
> > Thanks for your work so far.
> > 
> > Mark
> > 
> All this for changing 10 characters in control file!

Well more for being persistent and being prepared to learn the process :)

You may have seen that Andreas Messer also offered to help.  So you may want to
do this jointly? The d/control Maintainer field can only take a single email address, but
other addresses can be added to Uploaders.

I have had a quick look and these issues struck me as needing attention:

d/control:

 - Set yourself as maintainer.
 - Remove uploaders (or replace with Andreas Messer?).
 - Remove the libvirt-daemon-system-systemd package. It will always be broken in Devuan.
 - Update the libvirt-daemon-system-sysv description to remove the systemd as default/preferred reference.

d/changelog:

 - Add '(Closes: #506)' so the bug will be automatically closed when the package
   enters the archive.
 - Maybe add a 'Fork for Devuan' entry to cover other changes?

Other than that, it builds and is reasonably lintian clean. It will be worth
checking with lintian again after you have made these new changes.

Let me know how you get on. #devuan-dev on irc.freenode.net is a good place to
get quick help.

Thanks

Mark (LeePen)